=== classes/Makefile ===
BASEHEADERS =  stringops.h specclass.h mathops.h

all:	stararray.o star.o stringops.o specclass.o mathops.o

stararray.o:	stararray.cc stararray.h star.h viewer.h constellations.h \
		$(BASEHEADERS)
	$(CXX) -c stararray.cc $(CFLAGS)

star.o:	star.cc star.h greek.h viewer.h $(BASEHEADERS)
	$(CXX) -c star.cc $(CFLAGS)

%.o:	%.cc %.h
	$(CXX) -c $< -o $@ $(CFLAGS)

clean:
	rm -f *.o *.cc~ *.h~
