=== convert/Makefile ===
HEADERS = ../classes/stringops.h ../classes/mathops.h ../classes/specclass.h \
		parse.h
DOCDEF  = -DDOCDIR=\"$(DOCDIR)\"
PROGDEF = -DPROGNAME=\"$(CONVERTNAME)\"

all:	parse.o convert.o names.o

parse.o:	parse.cc $(HEADERS)
	$(CXX) -c parse.cc $(CFLAGS)

convert.o:	convert.cc $(HEADERS) convert.h ../version.h \
		../classes/star.h
	$(CXX) -c convert.cc $(CFLAGS) $(DOCDEF) $(PROGDEF)

names.o:	names.cc $(HEADERS) convert.h ../classes/constellations.h \
		../classes/greek.h
	$(CXX) -c names.cc $(CFLAGS)

clean:
	rm -f *.o *.cc~ *.h~
