=== doc/Makefile ===
SUBSTITUTIONS = -e s^DATADIR^$(DATADIR)^g -e s^DOCDIR^$(DOCDIR)^g \
	-e s^BINARYNAME^$(BINARYNAME)^g -e s^CONVERTNAME^$(CONVERTNAME)^g

all: man/starplot.1 man/starconvert.1

man/starplot.1:	man/starplot-template
	$(SED) $(SUBSTITUTIONS) man/starplot-template > man/starplot.1

man/starconvert.1: man/starconvert-template
	$(SED) $(SUBSTITUTIONS) man/starconvert-template > man/starconvert.1

clean:
	-rm -f man/*~ man/starplot.1 man/starconvert.1
