=== gui/Makefile ===
HEADERS =  starplot.h gtkviewer.h menu.h ../classes/stararray.h \
		../classes/star.h ../classes/greek.h ../classes/specclass.h \
		../classes/stringops.h ../classes/mathops.h ../classes/viewer.h
DATADEF = -DDATADIR=\"$(DATADIR)\"
DOCDEF  = -DDOCDIR=\"$(DOCDIR)\"

all:	starplot.o menuops.o filedialogs.o infodialogs.o chartdialogs.o \
		hrdiagram.o

%.o:	%.cc $(HEADERS)
	$(CXX) -c $< `gtk-config --cflags` $(CFLAGS) $(DATADEF)

menuops.o:	menuops.cc $(HEADERS) xpmdata.h ../version.h
	$(CXX) -c menuops.cc `gtk-config --cflags` $(CFLAGS) \
		$(DATADEF) $(DOCDEF)

starplot.o:	starplot.cc $(HEADERS) ../version.h
	$(CXX) -c starplot.cc `gtk-config --cflags` $(CFLAGS) $(DATADEF)

clean:
	rm -f *.o *.cc~ *.h~
