## starplot 0.95.5

=== debian/changelog ===
starplot (0.95.5-7) unstable; urgency=low

  * Fixed FTBFS problem. Changed build target in debian/rules, tested
    in experimental repository (Closes: #679316).

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 02 Jul 2012 13:47:34 +0200

starplot (0.95.5-6) experimental; urgency=low

  * Changed build target in debian/rules to fix a FTBFS problem.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sat, 30 Jun 2012 12:29:54 +0200

starplot (0.95.5-5) unstable; urgency=low

  * Updated to Debian Policy 3.9.3
  * Updated debhelper dependency to version 9
  * Added build-arch and build-indep debian/rules targets
  * Added source/format, 3.0 (quilt) file. Thanks to Jari Aalto
    (Closes: #670729).
  * Removed the unneeded dependency on dpatch.
  * Updated debian/patches to quilt.


 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Mon, 25 Jun 2012 11:25:50 +0200

starplot (0.95.5-4) unstable; urgency=low

  * Updated to Debian policy 3.8.3
  * Fixed the problem with FTBFS thanks for the patch to Kamal Mostafa
    <kamal@whence.com> (Closes: #560544).
  * Added debian/README.source file explaining how dpatch works, according to 
    Debian Policy.
  * Added ${misc:Depends} depends to bynary package, required by debhelper.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Thu, 07 Jan 2010 22:24:30 +0100

starplot (0.95.5-3) unstable; urgency=low

  * Updated Debian policy to 8.3.2
  * Updated Maintainer control field to @debian.org.
  * Updated debian/rules file:
      - Changed dh_clean -k to dh_prep.
      - Removed deprecated dh_desktop call.
      - Updated debhelper dependency version from 5 to 7.
      - Updated debhelper compatibility to 7.

 -- Francisco Manuel Garcia Claramonte <francisco@debian.org>  Sun, 26 Jul 2009 19:41:36 +0200

starplot (0.95.5-2) unstable; urgency=low

  * Updated Standard-version control field to 3.8.0.1
  * Added a dpatch to update the starplot.desktop file provided by Kevin B.
    McCarty <kmccarty@gmail.com> with the non-localized comment field. 
    Thanks to "Nathan Handler" <nhandler@ubuntu.com>. (Closes: #491448).
  * The new upstream manual is enough complete and documented.
    (Closes: #344622).
  * Removed the debian/starplot32x32.xpm file, It was added to the
    upstream version. Clean up debian/rules to remove installing icon
    command.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Mon, 01 Dec 2008 13:33:22 +0100

starplot (0.95.5-1) unstable; urgency=low

  * New upstream release.
  * Added debian/watch file.
  * Modified debian/rules to configure and install properly html docs and 
    examples directory.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 17 May 2008 11:52:11 +0200

starplot (0.95.4-5) unstable; urgency=low

  * Edited starplot data file generation script "starplot.sh" to do nothing
    if a pre-existing data file in starplot format is already newer than the
    times of installation of the starplot package and relevant data package.
  * Otherwise cleaned up starplot.sh a bit.
  * Adjusted CFLAGS definition in debian/rules to prevent FTBFS and ensured
    that g++ used them (by setting CXXFLAGS to the same string).
  * Removed extraneous ';' following namespace and extern "C" blocks in
    lib/compat.h, src/classes/mathdefs.h, src/classes/strings.h,
    src/gui/starplot.h, src/gui/hrdiagram.cc, src/gui/infodialogs.cc
    and src/gui/starplot.cc.  Needed to prevent FTBFS with -pedantic flag.
  * Updated doc-base section to new policy: Apps/Science -> Science/Astronomy.
  * Changed substitution tables in gliese and yale spec files to be
    case-sensitive in order to enhance starconvert speed.

 -- Kevin B. McCarty <kmccarty@debian.org>  Fri, 11 Apr 2008 14:08:17 -0700

starplot (0.95.4-4) unstable; urgency=low

  * Added "#include <cstdlib>" in src/classes/strings.cc, and omitted the
    std:: prefix from vsprintf(), vsnprintf(), in hopes of fixing the FTBFS
    on arm, mips, mipsel.

 -- Kevin B. McCarty <kmccarty@debian.org>  Thu, 28 Feb 2008 15:14:22 -0800

starplot (0.95.4-3) unstable; urgency=low

  * Updated to debian policy 3.7.3.
  * Added debian/menu icon field with starplot32x32.xpm file.
  * Added starplot.desktop file, thanks to Marco Rodrigues <gothicx@sapo.pt>
    (Closes: #457836)
  * Cleaned debian/rules file.
  * Added Homepage control field.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed, 23 Jan 2008 00:07:56 +0100

starplot (0.95.4-2) unstable; urgency=low

  * Patched source code to fix compile error with GCC 4.3.
    (Closes: #454869)
  * Modified debian/rules clean process to caught error messages from 
    the clean or distclean rules.
  * Changed debian/menu Section field to Applications/Science/Astronomy
    according to the Debian menu sub-policy.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Sat, 15 Dec 2007 18:33:58 +0100

starplot (0.95.4-1) unstable; urgency=low

  * New upstream release
  * Updated to debian policy 3.7.2.2
  * Created debian/compat file and removed DH_COMPAT field from
    debian/rules.

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Thu, 03 May 2007 00:07:53 +0200

starplot (0.95.3-2) unstable; urgency=low

  * Fixed an error with POSIX sh string equality "=" in 
    /usr/lib/stardata-common/starplot file. (Closes: #342331)

 -- Francisco Garcia <franciscomanuel.garcia@hispalinux.es>  Wed,  7 Dec 2005 14:10:24 +0100

starplot (0.95.3-1) unstable; urgency=low

  [ Francisco Garcia ]
  * New upstream release
  * Fixed the compilation failure on 64-bit architectures. 
    Thanks to Andreas Jochens <aj@andaco.de> (Closes: #298418)
  * Removed the hack to generate es.gmo in debian/rules file.

  [ Kevin McCarty ]
  * Update to debhelper version 5.
  * Add postrm removing /var/lib/starplot directory.
  * Update gliese.spec and yale.spec files to most recent versions.
  * Add NEWS file about the new stardata-common package.


