=== debian/control ===
Source: starplot
Section: science
Priority: optional
Maintainer: Francisco Manuel Garcia Claramonte <francisco@debian.org>
Uploaders: Javier Fernandez-Sanguino Pen~a <jfs@computer.org>, Kevin B. McCarty <kmccarty@debian.org>
Build-Depends: debhelper (>> 9.0.0), libgtk2.0-dev
Standards-Version: 3.9.3
Homepage: http://starplot.org

Package: starplot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gliese, yale
Recommends: stardata-common
Provides: gliese-viewer, yale-viewer
Description: 3-dimensional perspective star map viewer
 StarPlot is a GTK+ based program that can be used interactively to view
 three-dimensional perspective charts of stars.  Charts can be re-centered,
 rotated, or zoomed in or out with a mouse click (this can also, of course,
 be done via dialog boxes for more precision).  Stars may be viewed (or
 ignored) by spectral class and absolute magnitude.
 .
 StarPlot is packaged with starconvert, a utility that converts
 line-oriented stellar data records to StarPlot format.  Most star data
 files available on the Internet can be converted this way if a short file
 describing the original file format is provided to starconvert.
