=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# DEB_BUILD_OPTIONS support
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS=-Wall -pedantic -O0 -g
else
	CFLAGS=-Wall -pedantic -O2 -g
endif
# "nostrip" is seen automatically by dh_strip

# configure options as per autotools-dev usr/share/doc/README.Debian
export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
# FOR AUTOCONF 2.52 AND NEWER ONLY

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif


# begin Make targets ----------------------------------------------------------
                                                                                
configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure $(confflags) --prefix=/usr --with-webbrowser=sensible-browser \
		--htmldir=/usr/share/doc/starplot
	touch configure-stamp


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp: configure-stamp 
	dh_testdir
	# Add here commands to compile the package.
	$(MAKE) all CFLAGS="$(CFLAGS)" CXXFLAGS="$(CFLAGS)" \
		INSTALLPGM=$(INSTALLPGM) \
		docdir=/usr/share/doc/starplot mandir=/usr/share/man sysconfdir=/etc
	touch build-stamp

clean: 
	dh_testdir
	dh_testroot
	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f build-stamp configure-stamp config.status config.log
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	# Add here commands to install the package into debian/starplot.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/starplot/ \
		docdir=/usr/share/doc mandir=/usr/share/man sysconfdir=/etc
	install -D $(CURDIR)/debian/starplot.sh $(CURDIR)/debian/starplot/usr/lib/stardata-common/starplot
	mkdir -p $(CURDIR)/debian/starplot/usr/share/starplot/specfiles
	install -m 0664 $(CURDIR)/debian/*.spec $(CURDIR)/debian/starplot/usr/share/starplot/specfiles
	mv $(CURDIR)/debian/starplot/usr/share/doc/examples $(CURDIR)/debian/starplot/usr/share/doc/starplot/examples 
	install $(CURDIR)/debian/README.source $(CURDIR)/debian/starplot/usr/share/doc/starplot/


binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installman
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
