=== debian/watch ===
version=3
http://www.starplot.org/download.html downloads/starplot-(.*)\.tar\.gz
